OESF | ELSI | pdaXrom | OpenZaurus | Zaurus Themes | Community Links | Ibiblio

IPB

Welcome Guest ( Log In | Register )

 
Reply to this topicStart new topic
> Agere/hermes 2 Driver Almost There....
crstophr
post Nov 10 2005, 03:57 PM
Post #1





Group: Members
Posts: 18
Joined: 22-June 05
Member No.: 7,416



Is it necessary to use gcc 2.95 to compile kernel modules?

I'm compiling natively on a 3100 running RC12. I have gcc 3.4.4 in /opt/native from the image that was provided. I have the pdaxrom pcmcia sources and I've applied the 7.18 agere driver to those sources. I have the tetsu 2.4.20 kernel with all his patches in.

Everything seems to build OK. I've copied the two new modules to the proper place with the rest of th wifi modules. I have an agere.conf file with the correct manuf id and module setting in /etc/pcmcia.

When I insert my card (Socket Low Power Rev cool.gif the module loads (show up in lsmod) but I get a big error and a backtrace in dmesg.

So I'm thinking that I should probably be using the same version of GCC to compile the modules as was used to compile the kernel. Was 2.95 the version used to compile the kernel for pdaxrom RC12? Can someone point me to an apropriate version of gcc that runs native to the Z?

Thanks for any help. I really want to see this card work again. It nearly doubles my battery life when using wifi.

Alternatively, would anyone be willing to post these two modules from the cacko 1.23 ROM?

wlags49_h1_cs.o
wlags49_h2_cs.o

Maybe I can just use his modules....

Thanks,

--Chris
Go to the top of the page
 
+Quote Post

Reply to this topicStart new topic
1 User(s) are reading this topic (1 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 24th October 2014 - 04:46 AM